Bug 448034 - get exception in anaconda and a traceback
get exception in anaconda and a traceback
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 22:18 EDT by Yusuf Reed
Modified: 2008-06-13 14:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 14:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yusuf Reed 2008-05-22 22:18:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
I get an exception when installing with boot.iso for Fedora 9 in anaconda.
I enter the url to the images and shortly there after I get an exception.

Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 72, in lvmExec
  raise LvmError, args[0]
  File "/usr/lib/anaconda/lvm.py", line 92, in vgscan
  rc = lvmExec("vgscan", "-v")
  File "/usr/lib/anaconda/upgrade.py", line 169 in findExistingRoots
  rootparts = anaconda.id.diskset.findExistingRootPartitions(upgradeany = upgradeany)
... 

Version-Release number of selected component (if applicable):
anaconda 11.4.0.82

How reproducible:
Always


Steps to Reproduce:
1.insert boot.iso for Fedora 9
2. reboot
3. enter upgrade/install in graphical or text mode
4. enter URL to images
5. error occurs

Note that Fedora 8 installs fine, but not Fedora 9.

Actual Results:
very large exception dump

Expected Results:
Install should begin

Additional info:
see output entered above.
This is on an old Dell Dimension L500r with a 1Ghz CPU
Comment 1 Chris Lumens 2008-05-27 11:24:32 EDT
Please attach the complete traceback to this bug report.  Thanks.
Comment 2 Yusuf Reed 2008-05-28 16:41:28 EDT
(In reply to comment #1)
> Please attach the complete traceback to this bug report.  Thanks.

It looks like it wants me to type in a URL, filename, userid, and password to
save the traceback somewhere. Is there a way to use this feature to save the
traceback to this bug report?
Comment 3 Yusuf Reed 2008-06-03 12:00:44 EDT
I was able to load Fedora 9 by loading Fedora 8 and then using something called
PreUpgrade to move to Fedora 9. So if no one else is having a problem maybe we
can close this ticket.
Comment 4 Chris Lumens 2008-06-13 14:35:33 EDT
Glad you were able to use preupgrade to upgrade your system.  I'll close this
bug as INSUFFICIENT_DATA for now since we don't have the exception log to track
down the problem.

Right now the save exception dialog only supports saving to floppy/usb keys and
scp which isn't really helpful for a lot of people.  I'm hoping to have some
advanced capabilities here in the near future to make it more useful for more
people.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.